# Copyright (C) 2026 BoundWare LLC. All rights reserved.
# SnacTrac is licensed under the Apache License, Version 2.0
# See Licenses/LICENSE.txt for details.


import sqlite3


# Return total profit across current history.
def get_stat_profit():

    conn = sqlite3.connect("Data/Database.db")

    cur = conn.cursor()

    cur.execute("SELECT SUM(Profit) FROM History")

    profits = cur.fetchone()[0]

    cur.close()

    conn.close()

    if profits is not None:

        return profits

    else:

        return 0.0
